%define		packname	BiocGenerics

Summary:	Generic functions for Bioconductor
Name:		R-%{packname}
Version:	0.8.0
Release:	1
License:	Artistic 2.0
Group:		Applications/Science
Source0:	http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
# Source0-md5:	6a6c9276b28bc1839c605ac8809a4d3a
URL:		http://bioconductor.org/packages/release/bioc/html/BiocGenerics.html
BuildRequires:	R
BuildRequires:	texlive-latex
Requires:	R
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
S4 generic functions needed by many other Bioconductor packages.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library

%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/unitTests
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-BiocGenerics.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> d3b8f5c
- up to 0.8.0

* Fri May 10 2013 Jan Rękorajski <baggins@pld-linux.org> 4665caa
- up to 0.6.0

* Wed Oct 17 2012 Jan Rękorajski <baggins@pld-linux.org> 05967cc
- libdir means not noarch

* Wed Oct 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3ae11c4
- new, based on fedora

